rte_l2tpv2_msg_with_all_options(3)

NAME
rte_l2tpv2_msg_with_all_options

SYNOPSIS

#include <rte_l2tpv2.h>

  Data Fields

rte_be16_t length
rte_be16_t tunnel_id
rte_be16_t session_id
rte_be16_t ns
rte_be16_t nr
rte_be16_t offset_size
uint8_t * offset_padding

Detailed Description

L2TPv2 message Header contains all options(length, ns, nr, offset size, offset padding).

Definition at line 128 of file rte_l2tpv2.h.

Field Documentation

  rte_be16_t length
length(16)

Definition at line 129 of file rte_l2tpv2.h.

  rte_be16_t tunnel_id
tunnel ID(16)

Definition at line 130 of file rte_l2tpv2.h.

  rte_be16_t session_id
session ID(16)

Definition at line 131 of file rte_l2tpv2.h.

  rte_be16_t ns
Ns(16)

Definition at line 132 of file rte_l2tpv2.h.

  rte_be16_t nr
Nr(16)

Definition at line 133 of file rte_l2tpv2.h.

  rte_be16_t offset_size
offset size(16)

Definition at line 134 of file rte_l2tpv2.h.

  uint8_t* offset_padding
offset padding(variable length)

Definition at line 135 of file rte_l2tpv2.h.

Author

Generated automatically by Doxygen for DPDK from the source code.